23

I am trying to run a binary that I have downloaded (it's part of flutter). Whenever I'm trying to run it, I get the error:

"idevice_id" can't be opened because its integrity cannot be verified.

I have already disabled gatekeeper checks globally with sudo spctl --master-disable. What else can I do to get this to run?

1

1 Answer 1

41

The solution is to remove the quarantine attribute from the file(s) in question:

xattr -d com.apple.quarantine /path/to/file

Not the answer you're looking for? Browse other questions tagged .